## com.saxonica.stream.adjunct
Class AdjunctClassMapper

    java.lang.Object
      com.saxonica.stream.adjunct.AdjunctClassMapper

    public class AdjunctClassMapper

extends Object

For each class of expression found on the expression tree, deliver a corresponding instance of the helper class used to generate streaming code for the expression

Field Summary
`static HashMap` `map`

Constructor Summary
`AdjunctClassMapper()`

Method Summary
`static StreamingAdjunct` `map(Expression exp)` Get the StreamingAdjunct appropriate to a particular expression

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public static final HashMap map

Constructor Detail

### AdjunctClassMapper

    public AdjunctClassMapper()

Method Detail

### map

    public static StreamingAdjunct map(Expression exp)

  Get the StreamingAdjunct appropriate to a particular expression

  Parameters:
    `exp` - the expression
  Returns:
    the appropriate StreamingAdjunct, or null if none is available

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.